Subject: Re: bug#59902: 30.0.50; Image overlay is not updated until the cursor moves to the overlay

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Dec 2022 15:16:41 +0200

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 15 Dec 2022 11:20:49 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> find-file-hook, change-major-mode-after-body-hook,
> >> and after-change-major-mode-hook.
> >
> > You can let-bind them to nil around that snippet, mo?
> 
> I only know these hooks from reading the code.
> How can I make sure that let-binding will reliably work in future Emacs
> versions?

I don't think I understand the question.  Do you mean we could
possibly remove these hooks in future versions?  If not, what do you
mean by "reliably"?